Subject: Re: [PATCHv5/RFC 3/6] gitweb: Add manpage for gitweb (APPLICATION!!!)

From: Jakub Narebski <[email-masked]>
Date: Tue, 11 Oct 2011 16:20:12 +0200

On Tue, 11 Oct 2011, Drew Northup wrote:
> On Tue, 2011-10-11 at 15:51 +0200, Jakub Narebski wrote:
> > On Tue, 11 Oct 2011, Drew Northup wrote:
> 
> > > This would be why I included a synopsis with my original submission. As
> > > this was supposed to be a description of the configuration files of said
> > > application it does not make much sense to put the executable in the
> > > synopsis. Please forgive me for attempting to make sense!
> > 
> > But this manpage is about _gitweb itself_, not about gitweb config file(s).
> > Gitweb itself is application, though it is not runnable directly (yet).
> > 
> > Web apps either don't use manpages as documentation, and those that do
> > that I found (SVN::Web for example) include runnable server-starting script.
> 
> Hmm, Couldn't tell from the mail header _which_ we were talking about in
> this subthread. I'll have to read the _whole_ patch apparently next
> time.

I'm sorry.  I guess better subjects would be:

  gitweb: Add gitweb.conf(5) manpage
  gitweb: Add gitweb(1) manpage

instead of current

  gitweb: Add manpage for gitweb configuration files
  gitweb: Add manpage for gitweb

Or perhaps:

  gitweb: Add manpage for gitweb configuration files
  gitweb: Add manpage for gitweb itself

-- 
Jakub Narebski
Poland